<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Class: VE</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-Script-Type" content="text/javascript" />
  <link rel="stylesheet" href=".././rdoc-style.css" type="text/css" media="screen" />
  <script type="text/javascript">
  // <![CDATA[

  function popupCode( url ) {
    window.open(url, "Code", "resizable=yes,scrollbars=yes,toolbar=no,status=no,height=150,width=400")
  }

  function toggleCode( id ) {
    if ( document.getElementById )
      elem = document.getElementById( id );
    else if ( document.all )
      elem = eval( "document.all." + id );
    else
      return false;

    elemStyle = elem.style;
    
    if ( elemStyle.display != "block" ) {
      elemStyle.display = "block"
    } else {
      elemStyle.display = "none"
    }

    return true;
  }
  
  // Make codeblocks hidden by default
  document.writeln( "<style type=\"text/css\">div.method-source-code { display: none }</style>" )
  
  // ]]>
  </script>

</head>
<body>



    <div id="classHeader">
        <table class="header-table">
        <tr class="top-aligned-row">
          <td><strong>Class</strong></td>
          <td class="class-name-in-header">VE</td>
        </tr>
        <tr class="top-aligned-row">
            <td><strong>In:</strong></td>
            <td>
                <a href="../files/app/models/list_rb.html">
                app/models/list.rb
                </a>
        <br />
            </td>
        </tr>

        <tr class="top-aligned-row">
            <td><strong>Parent:</strong></td>
            <td>
                Object
            </td>
        </tr>
        </table>
    </div>
  <!-- banner header -->

  <div id="bodyContent">



  <div id="contextContent">



   </div>

    <div id="method-list">
      <h3 class="section-bar">Methods</h3>

      <div class="name-list">
      <a href="#M000044">db_info</a>&nbsp;&nbsp;
      <a href="#M000045">id</a>&nbsp;&nbsp;
      <a href="#M000046">inconsistent?</a>&nbsp;&nbsp;
      <a href="#M000048">ip_addr</a>&nbsp;&nbsp;
      <a href="#M000043">new</a>&nbsp;&nbsp;
      <a href="#M000047">status</a>&nbsp;&nbsp;
      </div>
    </div>

  </div>


    <!-- if includes -->

    <div id="section">





      


    <!-- if method_list -->
    <div id="methods">
      <h3 class="section-bar">Public Class methods</h3>

      <div id="method-M000043" class="method-detail">
        <a name="M000043"></a>

        <div class="method-heading">
          <a href="#M000043" class="method-signature">
          <span class="method-name">new</span><span class="method-args">(id, status, ip_addr)</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000043-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000043-source">
<pre>
    <span class="ruby-comment cmt"># File app/models/list.rb, line 29</span>
29:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">initialize</span> (<span class="ruby-identifier">id</span>, <span class="ruby-identifier">status</span>, <span class="ruby-identifier">ip_addr</span>)
30:     <span class="ruby-ivar">@id</span> = <span class="ruby-identifier">id</span>
31:     <span class="ruby-ivar">@status</span> = <span class="ruby-identifier">status</span>
32:     <span class="ruby-ivar">@ip_addr</span> = <span class="ruby-identifier">ip_addr</span>
33: 
34:     <span class="ruby-ivar">@db_info</span> = <span class="ruby-constant">VirtualEnvironment</span>.<span class="ruby-identifier">find_by_veid</span>(<span class="ruby-identifier">id</span>) 
35:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <h3 class="section-bar">Public Instance methods</h3>

      <div id="method-M000044" class="method-detail">
        <a name="M000044"></a>

        <div class="method-heading">
          <a href="#M000044" class="method-signature">
          <span class="method-name">db_info</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000044-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000044-source">
<pre>
    <span class="ruby-comment cmt"># File app/models/list.rb, line 37</span>
37:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">db_info</span>
38:     <span class="ruby-ivar">@db_info</span>
39:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000045" class="method-detail">
        <a name="M000045"></a>

        <div class="method-heading">
          <a href="#M000045" class="method-signature">
          <span class="method-name">id</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000045-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000045-source">
<pre>
    <span class="ruby-comment cmt"># File app/models/list.rb, line 41</span>
41:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">id</span>
42:     <span class="ruby-ivar">@id</span>
43:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000046" class="method-detail">
        <a name="M000046"></a>

        <div class="method-heading">
          <a href="#M000046" class="method-signature">
          <span class="method-name">inconsistent?</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p>
This function is a hack Not well tested
</p>
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000046-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000046-source">
<pre>
    <span class="ruby-comment cmt"># File app/models/list.rb, line 47</span>
47:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">inconsistent?</span>
48: 
49:     <span class="ruby-comment cmt"># @status is what OpenVZ is telling us </span>
50:     <span class="ruby-comment cmt"># it can be only 'started','stopped', or 'mounted'</span>
51: 
52:     <span class="ruby-keyword kw">return</span> <span class="ruby-keyword kw">true</span> <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@db_info</span> <span class="ruby-operator">==</span> <span class="ruby-keyword kw">nil</span>
53:     
54: 
55:     <span class="ruby-keyword kw">if</span> [<span class="ruby-value str">'started'</span>,<span class="ruby-value str">'stopped'</span>,<span class="ruby-value str">'mounted'</span>].<span class="ruby-identifier">include?</span> <span class="ruby-ivar">@db_info</span>.<span class="ruby-identifier">status</span>
56:       <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@db_info</span>.<span class="ruby-identifier">status</span> <span class="ruby-operator">==</span> <span class="ruby-ivar">@status</span>
57:         <span class="ruby-keyword kw">return</span> <span class="ruby-keyword kw">false</span> <span class="ruby-comment cmt"># Consistent</span>
58:       <span class="ruby-keyword kw">else</span> 
59:         <span class="ruby-keyword kw">return</span> <span class="ruby-keyword kw">true</span> <span class="ruby-comment cmt"># Not Consistent</span>
60:       <span class="ruby-keyword kw">end</span>
61:     <span class="ruby-keyword kw">end</span>
62: 
63:     <span class="ruby-keyword kw">return</span> <span class="ruby-keyword kw">true</span> <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@status</span> <span class="ruby-operator">==</span> <span class="ruby-value str">'stopped'</span> <span class="ruby-operator">&amp;&amp;</span> 
64:       <span class="ruby-ivar">@db_info</span>.<span class="ruby-identifier">status</span> <span class="ruby-operator">!=</span> <span class="ruby-value str">'starting'</span> <span class="ruby-operator">&amp;&amp;</span> <span class="ruby-ivar">@db_info</span>.<span class="ruby-identifier">status</span> <span class="ruby-operator">!=</span> <span class="ruby-value str">'destroying'</span> 
65:     <span class="ruby-keyword kw">return</span> <span class="ruby-keyword kw">true</span> <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@status</span> <span class="ruby-operator">==</span> <span class="ruby-value str">'started'</span> <span class="ruby-operator">&amp;&amp;</span> <span class="ruby-ivar">@db_info</span>.<span class="ruby-identifier">status</span> <span class="ruby-operator">!=</span> <span class="ruby-value str">'stopping'</span>
66: 
67:     <span class="ruby-keyword kw">return</span> <span class="ruby-keyword kw">false</span>
68:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000048" class="method-detail">
        <a name="M000048"></a>

        <div class="method-heading">
          <a href="#M000048" class="method-signature">
          <span class="method-name">ip_addr</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000048-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000048-source">
<pre>
    <span class="ruby-comment cmt"># File app/models/list.rb, line 75</span>
75:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">ip_addr</span>
76:     <span class="ruby-ivar">@ip_addr</span>
77:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000047" class="method-detail">
        <a name="M000047"></a>

        <div class="method-heading">
          <a href="#M000047" class="method-signature">
          <span class="method-name">status</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000047-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000047-source">
<pre>
    <span class="ruby-comment cmt"># File app/models/list.rb, line 70</span>
70:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">status</span>
71:     <span class="ruby-keyword kw">return</span> <span class="ruby-keyword kw">nil</span> <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">inconsistent?</span>
72:     <span class="ruby-keyword kw">return</span> <span class="ruby-ivar">@db_info</span>.<span class="ruby-identifier">status</span>
73:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>


    </div>


  </div>


<div id="validator-badges">
  <p><small><a href="http://validator.w3.org/check/referer">[Validate]</a></small></p>
</div>

</body>
</html>